<?php
$input_title = array(
    'name' => 'title',
    'type' => 'text',
    'value' => isset($title) ? $title : $contest[0]['title'],
    'placeholder' => '',
    'class' => '',
    'style' => 'width: 100%',
    'min' => 1,
    'max' => 50
);
$input_singer = array(
    'name' => 'singer',
    'type' => 'text',
    'value' => isset($singer) ? $singer : isset($track_user[0]['id'])? $track_user[0]['name']: '',
    'placeholder' => '',
    'class' => '',
    'disabled' => 'true',
    'style' => 'width: 100%',
    'min' => 1,
    'max' => 50
);
$input_artist = array(
    'name' => 'artist',
    'type' => 'text',
    'disabled' => 'true',
    'value' => isset($artist) ? $artist : isset($track_artists[0]['id']) ? $track_artists[0]['name']: '',
    'placeholder' => '',
    'class' => '',
    'style' => 'width: 100%',
);

?>
<div class="row">
    <div class="widget-box">
        <div class="widget-header">
            <p class="widget-title">Cập nhật thông tin bài hát</p>
        </div>
        <div class="widget-body">
            <div class="widget-main">
                <?php
                $attributes = array('class' => 'form-horizontal', 'id' => 'myform');
                if (!$track_user[0]['id']) {
                    $user_singer = 0;
                } else {
                    $user_singer = $track_user[0]['id'];
                }
                if (!$track_artists) {
                    $user_artist = 0;
                } else {
                    $user_artist = $track_artists[0]['id'];
                }
                echo form_open_multipart(base_url('backend/cmsTrack/editTrack/'.$contest[0]['id'].'/'.$user_singer.'/'.$user_artist), $attributes);
                ?>
                <div class="form-group">
                    <label class="col-lg-3"></label>
                    <div class="col-lg-3">
                        <input type="hidden" name="id" value="<?php echo $contest[0]['id']; ?>" />
                        <?php
                        if(validation_errors()){echo form_error('id', '<div class="error">', '</div>');}
                        ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3">Tên bài hát (*)</label>
                    <div class="col-lg-3">
                        <?php
                        echo form_input($input_title);
                        if(validation_errors()){echo form_error('title', '<div class="error">', '</div>');}
                        ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3">Tên ca sĩ hiện tại (*)</label>
                    <div class="col-lg-3">
                        <?php
                        echo form_input($input_singer);
                        ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3">Tên nhạc sĩ hiện tại(*)</label>
                    <div class="col-lg-3">
                        <?php
                        echo form_input($input_artist);
                        ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3">Cập nhật Tên Ca sĩ</label>
                    <div class="col-lg-3">
                        <select id='form-field-select-3' name="update_singer" style='width: 200px;' class="chosen-select form-control"
                            data-placeholder="Choose a State...">
                            <option value="-1">Chọn ca sĩ</option>
                            <?php foreach ($list_user as $singer): ?>
                            <option value="<?php echo $singer['id']; ?>">
                                <?php echo $singer['full_name']; ?>
                            </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-3">Cập nhập Tên nhạc sĩ</label>
                    <div class="col-lg-3">
                        <select id='form-field-select-3' name="update_artist" style='width: 200px;' class="chosen-select form-control"
                            data-placeholder="Choose a State...">
                            <option value="-1">Chọn nhạc sĩ</option>
                            <?php foreach ($list_user as $artist): ?>
                            <option value="<?php echo $artist['id']; ?>">
                                <?php echo $artist['full_name']; ?>
                            </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-lg-3">Ảnh nhạc sĩ</label>
                    <div class="col-lg-3">
                        <input type="file" name="avatar" size="20" />
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-lg-3">
                        <a href="<?php echo base_url().'backend/cmsTrack/listTrack'?>"
                            onclick="return confirm('Bạn có chắc chắn muốn quay lại Danh sách không?')">
                            <button type="button" class="btn btn-sm btn-default">
                                <i class="ace-icon fa fa-arrow-left"></i>Quay lại
                            </button>
                        </a>
                    </div>
                    <div class="col-lg-4">
                        <button class="btn btn-sm btn-primary" type="submit" name="btnSave">
                            <i class="ace-icon fa fa-check bigger-110"></i>Lưu lại
                        </button>
                        <button class="btn btn-sm" type="reset">
                            <i class="ace-icon fa fa-undo bigger-110"></i>Xóa form
                        </button>
                    </div>
                </div>
                <?php echo form_close(); ?>
                <p class="text-danger">Chú ý: Có thể cập nhật lại ca sĩ hoặc nhạc sĩ.</p>
            </div>
            
        </div>
    </div>
</div><!-- /.row -->
<script>
$(document).ready(function() {
        $('.chosen-select').chosen({
            allow_single_deselect: true,
            no_results_text: "Không có kết quả cần tìm"
        });
        $(window)
            .off('resize.chosen')
            .on('resize.chosen', function() {
                $('.chosen-select').each(function() {
                    var $this = $(this);
                    $this.next().css({
                        'width': $this.parent().width()
                    });
                })
            }).trigger('resize.chosen');
        //resize chosen on sidebar collapse/expand
        $(document).on('settings.ace.chosen', function(e, event_name, event_val) {
            if (event_name != 'sidebar_collapsed') return;
            $('.chosen-select').each(function() {
                var $this = $(this);
                $this.next().css({
                    'width': $this.parent().width()
                });
            })
        });
});
</script>